Skip to main content
GET
/
import
/
sources
/
{id}
Get import source
curl --request GET \
  --url https://api.prequel.co/import/sources/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "source": {
      "id": "<string>",
      "provider_id": "<string>",
      "name": "<string>",
      "is_reachable": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "postgres": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "username": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "redshift": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "cluster": "<string>",
        "region": "<string>",
        "workgroup": "<string>",
        "username": "<string>",
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "redshift_serverless": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "workgroup": "<string>",
        "use_ssh_tunnel": true,
        "disable_ssl": true,
        "connection_timeout_in_seconds": 123,
        "schema": "<string>",
        "region": "<string>",
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "bigquery": {
        "project_id": "<string>",
        "region": "<string>",
        "gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "federated_gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "gcp_service_account_key": {
          "service_account_email": "<string>"
        }
      },
      "s3": {
        "is_valid": true,
        "bucket_name": "<string>",
        "region": "<string>",
        "use_ssh_tunnel": true,
        "aws_iam_role": {
          "aws_iam_role": "<string>"
        },
        "aws_access_keys": {
          "access_key_id": "<string>"
        },
        "bucket_host": "<string>",
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "abs": {
        "is_valid": true,
        "bucket_name": "<string>",
        "storage_account_name": "<string>"
      },
      "sftp": {
        "is_valid": true,
        "username": "<string>",
        "host": "<string>",
        "port": 123
      },
      "gcs": {
        "is_valid": true,
        "bucket_name": "<string>",
        "region": "<string>",
        "gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "federated_gcp_service_account_role": {
          "service_account_email": "<string>"
        },
        "gcs_hmac_keys": {
          "access_id": "<string>"
        },
        "gcp_service_account_key": {
          "service_account_email": "<string>"
        }
      },
      "s3_compatible": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "bucket_name": "<string>",
        "disable_ssl": true,
        "use_ssh_tunnel": true,
        "aws_access_keys": {
          "access_key_id": "<string>"
        },
        "ssh_tunnel": {
          "ssh_tunnel_host": "<string>",
          "ssh_tunnel_port": 123,
          "ssh_tunnel_username": "<string>",
          "ssh_public_key": "<string>"
        }
      },
      "snowflake": {
        "is_valid": true,
        "host": "<string>",
        "port": 123,
        "database": "<string>",
        "username": "<string>",
        "auth_method": "<string>",
        "schema": "<string>",
        "public_key_auth": {
          "public_key": "<string>"
        }
      }
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Source ID.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required